#ifndef MUSICPLAYER_H
#define MUSICPLAYER_H

#include <QApplication>
#include <QQuickView>

#ifdef ADD_MPRIS
    #include <MprisPlayer>
#endif

class MusicPlayer : public QApplication
{
    Q_OBJECT
public:
    MusicPlayer (int& argc, char** argv);
    virtual ~MusicPlayer ();
    bool setup();

    #ifdef ADD_MPRIS
        Q_INVOKABLE void updateMpris (int nStatus, bool bCanGoPrevious, bool bCanGoNext, QString sAlbum, QString sArt, QString sArtist, QString sTitle);
    #endif
private:
    QQuickView* pView;

    #ifdef ADD_MPRIS
        MprisPlayer* pMprisPlayer = nullptr;
    #endif
};

#endif
